Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/activities \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"type": "<string>",
"data": {},
"created_at": "2023-11-07T05:31:56Z",
"group_id": "<string>",
"source": {
"channel": "USER_PORTAL",
"user": {
"id": "<string>"
},
"api_key": {
"name": "<string>",
"app_id": "<string>",
"client_app_id": "<string>"
}
}
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Lists activities for a specific card with optional filtering by id, type, and created_at. Uses cursor-based pagination.
Activity types include:
vl.card.createdvl.card.assignedvl.card.unassignedvl.card.code_generation.succeededvl.card.code_generation.failedcurl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/activities \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"type": "<string>",
"data": {},
"created_at": "2023-11-07T05:31:56Z",
"group_id": "<string>",
"source": {
"channel": "USER_PORTAL",
"user": {
"id": "<string>"
},
"api_key": {
"name": "<string>",
"app_id": "<string>",
"client_app_id": "<string>"
}
}
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
Unique member identifier
Unique card identifier
Number of results to return (1-100, default 10)
1 <= x <= 100Sort order for results
created_at, -created_at Cursor token for pagination
AND, OR 100vl.card.created, vl.card.assigned, vl.card.unassigned, vl.card.code_generation.succeeded, vl.card.code_generation.failed Was this page helpful?